OpenVDB: GetNodeInfo< BuildT > Struct Template Reference

OpenVDB 12.1.0

Loading...
Searching...
No Matches
GetNodeInfo< BuildT > Struct Template Reference

Implements Tree::getNodeInfo(math::Coord) More...

`#include <nanovdb/NanoVDB.h>`

## Classes
struct | NodeInfo

## Public Types
using | ValueType = typename NanoLeaf<BuildT>::ValueType
using | FloatType = typename NanoLeaf<BuildT>::FloatType
using | Type = NodeInfo

## Static Public Member Functions
static __hostdev__ Type | get (const NanoRoot< BuildT > &root)
static __hostdev__ Type | get (const typename NanoRoot< BuildT >::Tile &tile)
static __hostdev__ Type | get (const NanoUpper< BuildT > &node, uint32_t n)
static __hostdev__ Type | get (const NanoLower< BuildT > &node, uint32_t n)
static __hostdev__ Type | get (const NanoLeaf< BuildT > &leaf, uint32_t n)

## Static Public Attributes
static constexpr int | LEVEL = 0

## Detailed Description

template<typename BuildT>
struct nanovdb::GetNodeInfo< BuildT >

Implements Tree::getNodeInfo(math::Coord)

Template Parameters

  BuildT | Build type of the grid being called

## Member Typedef Documentation

## ◆ FloatType

template<typename BuildT>

using FloatType = typename NanoLeaf<BuildT>::FloatType

## ◆ Type

template<typename BuildT>

using Type = NodeInfo

## ◆ ValueType

template<typename BuildT>

using ValueType = typename NanoLeaf<BuildT>::ValueType

## Member Function Documentation

## ◆ get() [1/5]

template<typename BuildT>

__hostdev__ Type get | ( | const NanoLeaf< BuildT > & | leaf,
|  | uint32_t | n )
| inlinestatic

## ◆ get() [2/5]

template<typename BuildT>

__hostdev__ Type get | ( | const NanoLower< BuildT > & | node,
|  | uint32_t | n )
| inlinestatic

## ◆ get() [3/5]

template<typename BuildT>

__hostdev__ Type get | ( | const NanoRoot< BuildT > & | root | ) |
| inlinestatic

## ◆ get() [4/5]

template<typename BuildT>

__hostdev__ Type get | ( | const NanoUpper< BuildT > & | node,
|  | uint32_t | n )
| inlinestatic

## ◆ get() [5/5]

template<typename BuildT>

__hostdev__ Type get | ( | const typename NanoRoot< BuildT >::Tile & | tile | ) |
| inlinestatic

## Member Data Documentation

## ◆ LEVEL

template<typename BuildT>

int LEVEL = 0
| staticconstexpr